kr.co.hanwha.hifive.data.model

## Class TaskData

- java.lang.Object
- - kr.co.hanwha.hifive.data.model.TaskData

- Direct Known Subclasses:
    TaskDetailData, TaskListData

      public class TaskData
      extends java.lang.Object

  Created by sanghoonkwon on 2018. 1. 11..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `author_member_id` ex) 264
    `(package private) java.lang.String` | `closed_at`
    `(package private) java.lang.String` | `created_at` ex) "2017-10-19 13:19:35.0"
    `(package private) java.lang.String` | `description` ex) "test test"
    `(package private) java.lang.String` | `due_to` ex) "2017-10-20 23:59:59.0"
    `(package private) int` | `evaluation` ex) 0
    `(package private) java.lang.String` | `finished_at`
    `(package private) int` | `flag`
    `(package private) boolean` | `is_today` ex) true
    `(package private) int` | `member_id` ex) 264
    `(package private) java.lang.String` | `member_name` ex)
    `(package private) java.lang.String` | `member_profile_url` ex)
    `(package private) int` | `project_id` ex) 32
    `(package private) java.lang.String` | `project_name` ex) "NewGW-Dev"
    `(package private) java.lang.String` | `repeat_day` ex) "11000"
    `(package private) java.lang.String` | `server_time`
    `(package private) int` | `status` ex) 30
    `(package private) int` | `task_id` ex) 325
    `(package private) java.lang.String` | `task_name` ex) "아이폰 send Request test"
    `(package private) java.lang.String` | `timezone` ex) "+09:00"
    `(package private) int` | `track_id`
    `(package private) java.lang.String` | `updated_at` ex) "2017-10-19 13:19:35.0"

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAuthor_member_id()`
    `java.lang.String` | `getClosed_at()`
    `java.lang.String` | `getCreated_at()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getDue_to()`
    `int` | `getEvaluation()`
    `java.lang.String` | `getFinished_at()`
    `int` | `getFlag()`
    `int` | `getMember_id()`
    `java.lang.String` | `getMember_name()`
    `java.lang.String` | `getMember_profile_url()`
    `int` | `getProject_id()`
    `java.lang.String` | `getProject_name()`
    `java.lang.String` | `getRepeat_day()`
    `java.lang.String` | `getServer_time()`
    `int` | `getStatus()`
    `int` | `getTask_id()`
    `java.lang.String` | `getTask_name()`
    `java.lang.String` | `getTimezone()`
    `int` | `getTrack_id()`
    `java.lang.String` | `getUpdated_at()`
    `boolean` | `isIs_today()`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setDue_to(java.lang.String due_to)`
    `void` | `setIs_today(boolean is_today)`
    `void` | `setRepeat_day(java.lang.String repeat_day)`
    `void` | `setStatus(int status)`
    `void` | `setTask_name(java.lang.String task_name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### flag

          int flag

    - #### task_id

          int task_id

      ex) 325

    - #### task_name

          java.lang.String task_name

      ex) "아이폰 send Request test"

    - #### author_member_id

          int author_member_id

      ex) 264

    - #### member_id

          int member_id

      ex) 264

    - #### member_name

          java.lang.String member_name

      ex)

    - #### member_profile_url

          java.lang.String member_profile_url

      ex)

    - #### project_id

          int project_id

      ex) 32

    - #### project_name

          java.lang.String project_name

      ex) "NewGW-Dev"

    - #### track_id

          int track_id

    - #### due_to

          java.lang.String due_to

      ex) "2017-10-20 23:59:59.0"

    - #### timezone

          java.lang.String timezone

      ex) "+09:00"

    - #### repeat_day

          java.lang.String repeat_day

      ex) "11000"

    - #### description

          java.lang.String description

      ex) "test test"

    - #### evaluation

          int evaluation

      ex) 0

    - #### is_today

          boolean is_today

      ex) true

    - #### status

          int status

      ex) 30

    - #### created_at

          java.lang.String created_at

      ex) "2017-10-19 13:19:35.0"

    - #### updated_at

          java.lang.String updated_at

      ex) "2017-10-19 13:19:35.0"

    - #### finished_at

          java.lang.String finished_at

    - #### closed_at

          java.lang.String closed_at

    - #### server_time

          java.lang.String server_time

  - ### Constructor Detail

    - #### TaskData

          public TaskData()

  - ### Method Detail

    - #### getServer_time

          public java.lang.String getServer_time()

    - #### getCreated_at

          public java.lang.String getCreated_at()

    - #### getUpdated_at

          public java.lang.String getUpdated_at()

    - #### getFinished_at

          public java.lang.String getFinished_at()

    - #### getClosed_at

          public java.lang.String getClosed_at()

    - #### getFlag

          public int getFlag()

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)

    - #### getTask_name

          public java.lang.String getTask_name()

    - #### getDue_to

          public java.lang.String getDue_to()

    - #### getAuthor_member_id

          public int getAuthor_member_id()

    - #### getTask_id

          public int getTask_id()

    - #### getProject_id

          public int getProject_id()

    - #### getProject_name

          public java.lang.String getProject_name()

    - #### getTrack_id

          public int getTrack_id()

    - #### getRepeat_day

          public java.lang.String getRepeat_day()

    - #### setRepeat_day

          public void setRepeat_day(java.lang.String repeat_day)

    - #### getTimezone

          public java.lang.String getTimezone()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getEvaluation

          public int getEvaluation()

    - #### isIs_today

          public boolean isIs_today()

    - #### setIs_today

          public void setIs_today(boolean is_today)

    - #### getMember_id

          public int getMember_id()

    - #### getMember_name

          public java.lang.String getMember_name()

    - #### getMember_profile_url

          public java.lang.String getMember_profile_url()

    - #### setTask_name

          public void setTask_name(java.lang.String task_name)

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### setDue_to

          public void setDue_to(java.lang.String due_to)